For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
      • GETReturns all custom field definitions.
      • POSTCreates a new custom field definition.
      • PUTUpdates the custom field definition with the specified id.
      • DELDeletes the custom field definition with the specified Id.
      • POSTCreates a custom field selection option for an existing custom field definition.
      • PUTUpdates a custom field selection option for an existing custom field definition.
      • DELDeletes a custom field selection option for an existing custom field definition.
      • GETReturns all custom field definitions linked to the specified project, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition linked to the specified project.
      • POSTLinks a custom field definition to the specified project.
      • POSTSets custom field values for a project.
      • POSTUnlinks a custom field definition from the specified project.
      • GETReturns all custom field definitions linked to the specified project template, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition for the specified project template.
      • POSTLinks a custom field definition to the specified project template.
      • POSTSets the custom fields for a project template.
      • POSTUnlinks a custom field definition from the specified project template.
      • POSTSets the custom fields for a task.
      • POSTSets the custom fields for the specified task template.
      • GETReturns all custom field definitions linked to a workflow.
      • PUTUpdates the order of a custom field definition linked to a workflow.
      • POSTLinks a custom field definition to a workflow.
      • POSTUnlinks a custom field definition from a workflow.
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCustom Fields

Unlinks a custom field definition from the specified project.

POST
https://api.awork.com/api/v1/projects/:projectId/unlinkcustomfielddefinition
POST
/api/v1/projects/:projectId/unlinkcustomfielddefinition
$curl -X POST https://api.awork.com/api/v1/projects/projectId/unlinkcustomfielddefinition \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000"
>}'
When the definition is unlinked from a project, all values of the custom field will be removed from the tasks within that project. <Check title="Required Permissions" icon="key">The user must have `project-master-data:write` permissions or `write` permissions on the specified project.</Check>
Was this page helpful?
Previous

Returns all custom field definitions linked to the specified project template, including definitions linked via a workflow.

Next
Built with

When the definition is unlinked from a project, all values of the custom field will be removed from the tasks within that project.

Required Permissions
The user must have project-master-data:write permissions or write permissions on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project to unlink the custom field definition from.

Request

The model describing the custom field definition to unlink.
customFieldDefinitionIdstringRequiredformat: "uuid"
The id of the custom field definition.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error